import axios from "../../utils/request";


export function getRepairList(params) {
  return axios({
    url: "/udiwms/inv/device/repair/order/filter",
    method: "get",
    params: params
  });
}

export function saveDeviceRepairOrder(params, formName) {
  return axios({
    url: formName === "add" ? "/udiwms/inv/device/repair/order/addDeviceRepairOrder" : "/udiwms/inv/device/repair/order/updateDeviceRepairOrder",
    method: "post",
    data: params
  });
}

export function submitAudit(params) {
  return axios({
    url: "/udiwms/inv/device/repair/order/submitAudit",
    method: "post",
    data: params
  });
}

export function updateStatus(params) {
  return axios({
    url: "/udiwms/inv/device/repair/order/updateStatus",
    method: "post",
    data: params
  });
}

//开始任务
export function updateStatusAndTime(params) {
  return axios({
    url: "/udiwms/inv/device/repair/order/updateStatusAndTime",
    method: "post",
    data: params
  });
}

//结束任务
export function updateStatusAndImg(params) {
  return axios({
    url: "/udiwms/inv/device/repair/order/updateStatusAndImg",
    method: "post",
    data: params
  });
}

export function deleteRepairOrder(params) {
  return axios({
    url: "/udiwms/inv/device/repair/order/deleteRepairOrder",
    method: "post",
    data: params
  });
}



